# configs

Configuration through [Ansible](https://ansible.com) for my development environment(s). Commonly used on Fedora Linux 35 (Workstation Edition), sometimes using [Nix](https://nixos.org).

Clone & execute the main playbook locally: `ansible-playbook run.yml -K`

```bash
sudo setenforce 0
sudo dnf install -y --refresh ansible
./ensure.sh
```

- Run usual updates: `ansible-playbook update.yml -K`

## Contributing

- Packages: `ansible`, `ansible-lint`
- `git config core.hooksPath .git-hooks`

TODO(earne): Remove this/ update

## After First Run

- Dotfiles
- Secrets (GPG, wakatime)
- Generate SSH key and add to services
- Tailscale (`sudo tailscale up --ssh`)
- Restart!

If code-server:

- Install `https://github.com/coder/code-server/releases/download/v4.5.0/code-server-4.5.0-amd64.rpm`
- Config file: [like this](https://tailscale.com/kb/1166/vscode-ipad/#step-3-make-code-server-available-on-the-tailscale-interface)
- `usysctl enable --now code-server`
- `sudo tailscale cert ...`
- nginx proxy!
- `sudo firewall-cmd --add-port=443/tcp ; sudo firewall-cmd --runtime-to-permanent`

```
    server {
        server_name .ts.net;

        listen 443 ssl;
        listen [::]:443 ssl;
        ssl_certificate /etc/.crt;
        ssl_certificate_key /etc/.key;

        location / {
                proxy_pass http://100.111.117.54:8080/;
                proxy_set_header Host $host;
                proxy_set_header Upgrade $http_upgrade;
                proxy_set_header Connection upgrade;
                proxy_set_header Accept-Encoding gzip;
        }
    }
```
